*{
    box-sizing: border-box;
    font-family: 'Fira Sans', sans-serif;
}
body{
    margin: 0;

}
h1{
    color:white;
    font-size: 2.5rem;

}
h2{
    color: white;
    font-size: 1.5rem;
    text-align: center;
}

.dotted-hr{
    border: dotted 6px white;
    border-bottom: none;
    margin: 20px auto;
    width: 80px;
}
a{
    color: white;
    font-size: 1.2rem;
    text-decoration: none
}

/* navbar styling srarts here */
.nav-bar{
    background-color: rgb(23, 114, 118);
    padding: 0% 7%;
    text-align: center;
}
.navbar-logo img:hover{
    transition: 3s;
    transform: rotateY(-360deg);
}
.nav-bar h1{
    
    padding: 0px 10px;
    
    text-align: center;

}


[class*="col-"]{
    float: left;
    padding: 10px;
}
/* for mobile */
[class*="col-"]{
   width: 100%;
}
.nav-bar::after{
    content: '';
    clear: both;
    display: table;
}
.nav-menu{
    display: flex;
    flex-direction: column;
    text-transform: uppercase;
}
.nav-menu a{
    background-color: #093e43;
    border-radius: 10px;
    margin: 7px 0;
    padding: 10px;
}
.nav-menu a:hover{
    background-color: gray;
}
/* navbar styling ends here */



/* profile styling starts here */
.profile{
    padding: 100px;
    position: relative;
    text-align: center;
    background-image: url(images/bg.jpg);
    background-size:cover ;
    
    
}
.profile .top-corner-icon{
    position: absolute;
    top: 40px;
    left: 40px;
    animation: icon 2s linear infinite;
}
@keyframes icon{
    0%{
        transform: rotate(0deg);
    }
    100%{
        transform: rotate(360deg);
    }
}
.profile .top-corner-icon:hover{
    animation-duration: .4s;
}


.profile-desc h1{
    color: rgb(241, 252, 121);
    font-size: 3rem;
    font-family: 'Satisfy', cursive;
}

.profile-desc p{
    font-size: 1rem;
    text-align: justify;
    color:rgb(209, 209, 209);
}
.profile .bottom-corner-icon{
    position: absolute;
    bottom: 20px;
    right: 40px;
    animation: icon 2s linear infinite;
}
@keyframes icon{
    0%{
        transform: rotate(0deg);
    }
    100%{
        transform: rotate(360deg);
    }
}
.profile .bottom-corner-icon:hover{
    
    animation-duration: .4s;
}

/* profile styling ends here */


/* about me styling starts here */

.aboutme{
    background-color: rgb(23, 114, 118);
    padding: 1% 7%;
    color:white;
    text-align: center;
    font-family: 'Montserrat', sans-serif;
    
}

.aboutme-image img{
    border: 3px solid white;
    height: 200px;
    width: 170px;
    border-radius: 50%;
}
.aboutme p{
    text-align: center;
}

.cv-button{
    background-color: #093e43;
    color: white;
    border: none;
    border-radius: 10px;
    padding: 10px;
    margin: 10px;
    text-align: center;
    cursor: pointer;
}
.cv-button:hover{
    background-color: gray;
}

.aboutme::after{
    content: '';
    display: table;
    clear: both;
}

/* about me styling ends here */

/* education & skill section styling starts */
.education-skills{
    padding: 1% 7%;
}
.card{
    background-color: rgb(131, 116, 116);
    border-radius:5px ;
    padding: 10px;
    transition: 0.3s;
    

}

.card:hover{
    box-shadow: 0 5px 8px 3px rgb(1, 1, 22);
}

.card-icon{
    text-align: center;
    margin-top: 10px;
}
.card-icon img{
    width: 70px;
}

.rounded-img{
    border: 5px solid white;
    border-radius:50% ;
    padding: 5px;
}
.card-title h2{
    background-color: rgb(53, 52, 52);
    padding: 5px;
    border-radius: 5px;

}

.skill-container{
    padding-right: 45px;
}
.skill-container li{
    list-style-type: none;
    font-weight: bolder;
    margin:25px 10px;
    position: relative;
}
.skill-container li::before{
    content: '';
    position: absolute;
    background-color: rgb(86,86,153,.5);
    border-radius: 1000px;
    width: 100%;
    height: 10px;
    top: calc(100% + 7px);

}
.skill-container li::after{
    content: '';
    position: absolute;
    background-color: rgb(47, 47, 180);
    border-radius: 1000px;
    width: 0;
    height: 10px;
    top: calc(100% + 7px);
    left: 0;

    animation-delay: 4s;
    animation-duration: 2.5s;
    animation-timing-function: linear;
    animation-fill-mode: forwards;
    

}
.skill-container li.html::after{
    animation-name: html;
}
@keyframes html{
    to{
        width:70%
    }
}
.skill-container li.css::after{
    animation-name: css;
}
@keyframes css{
    to{
        width:50%
    }
}
.skill-container li.js::after{
    animation-name: js;
}
@keyframes js{
    to{
        width:45%
    }
}
.skill-container li.jquery::after{
    animation-name: jq;
}
@keyframes jq{
    to{
        width:65%
    }
}
.skill-container li.java::after{
    animation-name: java;
}
@keyframes java{
    to{
        width:50%
    }
}
.skill-container li.python::after{
    animation-name: python;
}
@keyframes python{
    to{
        width:60%
    }
}
.skill-container li.github::after{
    animation-name: github;
}
@keyframes github{
    to{
        width:75%
    }
}
.skill-container li.reactjs::after{
    animation-name: reactjs;
}
@keyframes reactjs{
    to{
        width:30%
    }
}



.education-skills::after{
    content: '';
    display: table;
    clear: both;
}


/* education & skill section styling ends */


/* contact me section styling starts */

.achievement-contact{
    padding: 1% 7%;
    background-color: #39a4ac;
    color: white;
}
.achievements{
    text-align: justify;
    padding-right: 40px;
}

.contact{
    
    text-align: center;
}
.contact input,textarea{
    width: 100%;
    padding: 10px;
    font-size: 1rem;
    text-align: center;
    border: none;
    border-radius: 5px;
    resize: none;
}

.contact button{
    border: none;
    border-radius: 10px;
    background-color: #093e43;
    color: white;
    padding: 15px;
    margin: 10px;
    width: 100px;
}

.contact-links{
    text-align: center;
}
.contact-links .btn{
    text-align: center;
    border: none;
    border-radius: 25px;
    font-size: 25px;
    padding:5px;
    width: 40px;
    margin: 10px;
    cursor: pointer;
}
.contact-links .btn:hover{
    background-color: rgb(160, 157, 157);
}


.achievement-contact::after{
    content: '';
    display: table;
    clear: both;
}


/* contact me section styling ends */


/* footer style starts */

.footer{
    background-color: black;
    padding: 20px;
    width: 100%;
    text-align: center;
    font-size: 0.8rem;

}

.footer-menu a{
    display: block;
    margin: 15px 0;
    font-size: 1rem;
}
.footer-menu a:hover{
    color:gray;
}
.footer-desc{
    color: white;
}

.footer::after{
    content: '';
    display: table;
    clear: both;
}
/* footer style ends */